import itertools


numbers = []
with open('input.txt') as fh:
	numbers = [int(l.strip()) for l in fh]


def get_error():
	for i in range(25, len(numbers)):
		prelude = numbers[i - 25:i]
		if not any(sum(c) == numbers[i] for c in itertools.combinations(prelude, 2)):
			return numbers[i]


def find_contiguous_set(n):
	for i in range(len(numbers) - 1):
		j = i + 1
		s = numbers[i] + numbers[j]
		while s < n:
			j += 1
			s += numbers[j]
		if s == n:
			return numbers[i:j + 1]


error = get_error()
print(error)
cs = find_contiguous_set(error)
print(min(cs) + max(cs))
